Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.Signing.JarSigner Class Referencesealed
Inheritance diagram for Zwipe.Build.Tools.Signing.JarSigner:
[legend]
Collaboration diagram for Zwipe.Build.Tools.Signing.JarSigner:
[legend]

## Public Member Functions
| JarSigner (string jarSignerPath, string pfxPath, string pfxPassword, string signAlgorithm, string digestAlgorithm, string timestampUrl, string signBaseFileName="Zwipe")
| JarSigner (string jarSignerPath, string certificatePath, string providerConfigurationPath, string providerPassword, string signAlgorithm, string digestAlgorithm, string timestampUrl, string signBaseFileName="Zwipe")
| JarSigner (string jarSignerPath, ISignProvider provider, IDictionary< string, string > parameters)
| JarSigner (string signToolPath, ISignProvider provider, ISignConfigurationProvider parameters)
| JarSigner (string jarSignerPath, ISignProvider signProvider, string signAlgorithm, string digestAlgorithm, string timestampUrl, string signBaseFileName="Zwipe")
override string[] | Sign (string filePath)
Public Member Functions inherited from Zwipe.Build.Tools.Signing.Signer
string[] | Sign (string filePath)

## Static Private Member Functions
static string | GetCommandLineParameters (ISignProvider provider, string signAlgorithm, string digestAlgorithm, string timestampUrl, string signBaseFilename, string filePath)
static string | SignFile (string jarSignerPath, ISignProvider provider, string signAlgorithm, string digestAlgorithm, string timestampUrl, string signBaseFilename, string filePath)

## Private Attributes
readonly string | _jarSignerPath
readonly ISignProvider | _signProvider
readonly string | _signAlgorithm
readonly string | _digestAlgorithm
readonly string | _timestampUrl
readonly string | _signBaseFileName

## Constructor & Destructor Documentation

## ◆ JarSigner() [1/5]

Zwipe.Build.Tools.Signing.JarSigner.JarSigner | ( | string | jarSignerPath,
|  | string | pfxPath,
|  | string | pfxPassword,
|  | string | signAlgorithm,
|  | string | digestAlgorithm,
|  | string | timestampUrl,
|  | string | signBaseFileName = "Zwipe" )

## ◆ JarSigner() [2/5]

Zwipe.Build.Tools.Signing.JarSigner.JarSigner | ( | string | jarSignerPath,
|  | string | certificatePath,
|  | string | providerConfigurationPath,
|  | string | providerPassword,
|  | string | signAlgorithm,
|  | string | digestAlgorithm,
|  | string | timestampUrl,
|  | string | signBaseFileName = "Zwipe" )

## ◆ JarSigner() [3/5]

Zwipe.Build.Tools.Signing.JarSigner.JarSigner | ( | string | jarSignerPath,
|  | ISignProvider | provider,
|  | IDictionary< string, string > | parameters )

## ◆ JarSigner() [4/5]

Zwipe.Build.Tools.Signing.JarSigner.JarSigner | ( | string | signToolPath,
|  | ISignProvider | provider,
|  | ISignConfigurationProvider | parameters )

## ◆ JarSigner() [5/5]

Zwipe.Build.Tools.Signing.JarSigner.JarSigner | ( | string | jarSignerPath,
|  | ISignProvider | signProvider,
|  | string | signAlgorithm,
|  | string | digestAlgorithm,
|  | string | timestampUrl,
|  | string | signBaseFileName = "Zwipe" )

## Member Function Documentation

## ◆ GetCommandLineParameters()

string Zwipe.Build.Tools.Signing.JarSigner.GetCommandLineParameters | ( | ISignProvider | provider,
|  | string | signAlgorithm,
|  | string | digestAlgorithm,
|  | string | timestampUrl,
|  | string | signBaseFilename,
|  | string | filePath )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Sign()

override string[] Zwipe.Build.Tools.Signing.JarSigner.Sign | ( | string | filePath | ) |

Here is the call graph for this function:

## ◆ SignFile()

string Zwipe.Build.Tools.Signing.JarSigner.SignFile | ( | string | jarSignerPath,
|  | ISignProvider | provider,
|  | string | signAlgorithm,
|  | string | digestAlgorithm,
|  | string | timestampUrl,
|  | string | signBaseFilename,
|  | string | filePath )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ _digestAlgorithm

readonly string Zwipe.Build.Tools.Signing.JarSigner._digestAlgorithm
| private

## ◆ _jarSignerPath

readonly string Zwipe.Build.Tools.Signing.JarSigner._jarSignerPath
| private

## ◆ _signAlgorithm

readonly string Zwipe.Build.Tools.Signing.JarSigner._signAlgorithm
| private

## ◆ _signBaseFileName

readonly string Zwipe.Build.Tools.Signing.JarSigner._signBaseFileName
| private

## ◆ _signProvider

readonly ISignProvider Zwipe.Build.Tools.Signing.JarSigner._signProvider
| private

## ◆ _timestampUrl

readonly string Zwipe.Build.Tools.Signing.JarSigner._timestampUrl
| private

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/Signing/JarSigner.cs